import { Facet, combineConfig } from "@codemirror/state";
import { Language } from "./api/proto/exa/codeium_common_pb/codeium_common_pb.js";
export const codeiumConfig = Facet.define({
    combine(configs) {
        return combineConfig(configs, {
            language: Language.TYPESCRIPT,
            timeout: 150,
        }, {});
    },
});
/**
 * Configuration for other documents included with the completion
 * request. Adding other documents helps you get more accurate
 * suggestions by adding context.
 */
export const codeiumOtherDocumentsConfig = Facet.define({
    combine(configs) {
        return combineConfig(configs, {
            override: () => [],
        }, {});
    },
});
//# sourceMappingURL=config.js.map